Get All Transaction Types

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/transactiondesk-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "TransactionDesk API MCP server": {
    "url": "https://apidocs.lwolf.com/doc/transactiondesk-api/mcp"
  }
}

Close
GET /v2/transactions/types

Returns all transaction types the authenticated user is entitled to see. A user can see Global, Association, Office, and Personal level types, but can only PATCH/DELETE their own.

Responses

  • 200 application/json

    List of transaction types returned successfully

    Hide response attributes Show response attributes object
    • id string(uuid)

      Unique identifier for this transaction type

    • name string
    • ownerId string(uuid)

      Owner of this type (Global, Association, Office, or Personal level)

    • dateCreated string(date-time)
    • lastModified string(date-time)
  • 401 application/json

    Unauthorized

    Hide response attributes Show response attributes object
    • code integer
    • message string
    • details array
    • data
GET /v2/transactions/types
curl \
 --request GET 'https://api.pre.transactiondesk.com/v2/transactions/types' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
  {
    "id": "8bd47056-64b5-41dd-ad97-53f6a7debe80",
    "name": "Commercial Lease",
    "ownerId": "476ba212-d96d-49e5-82df-3f474d9e9188",
    "dateCreated": "2012-01-18T20:42:38.737",
    "lastModified": "2012-01-18T20:42:38.737"
  }
]
Response examples (401)
{
  "code": 401,
  "message": "Unauthorized. The user is not authenticated.",
  "details": []
}